Skip to content
Docs

Update or move apex domain

PATCHhttps://api.vercel.com/v3/domains/{domain}
Update or move apex domain. Note: This endpoint is no longer used for updating auto-renew or nameservers. For this, please use the endpoints Update auto-renew for a domain and Update nameservers for a domain.
https://api.vercel.com/v3/domains/{domain}
const response = await fetch('https://api.vercel.com/v3/domains/domain?teamId=string&slug=string', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"op": "update",
"renew": "true",
"customNameservers": [],
"zone": "true",
"echMode": "auto"
}),
});
const data = await response.json();
console.log(data);
Response
{
"moved": "false"
}
AuthorizationbearerToken

Default authentication mechanism

domainstringRequired
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
opstringOptional
renewbooleanOptionalDeprecated
This field is deprecated. Please use PATCH /v1/registrar/domains/{domainName}/auto-renew instead.
customNameserversarrayOptionalDeprecated
This field is deprecated. Please use PATCH /v1/registrar/domains/{domainName}/nameservers instead.
zonebooleanOptional
Specifies whether this is a DNS zone that intends to use Vercel's nameservers.
echModestringOptional
Encrypted Client Hello enrollment. 'auto' leaves it to Vercel, 'disabled' never enrolls and opts out of automatic enrollment.
200Success
movedbooleanRequired
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
409Error
410Error
500Error